org.apache.calcite.avatica.proto

## Interface Common.TypedValueOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.TypedValue, Common.TypedValue.Builder

Enclosing class:
  Common

    public static interface Common.TypedValueOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Common.TypedValue` `getArrayValue(int index)` The Array
`int` `getArrayValueCount()` The Array
`List<Common.TypedValue>` `getArrayValueList()` The Array
`Common.TypedValueOrBuilder` `getArrayValueOrBuilder(int index)` The Array
`List<? extends Common.TypedValueOrBuilder>` `getArrayValueOrBuilderList()` The Array
`boolean` `getBoolValue()` boolean
`com.google.protobuf.ByteString` `getBytesValue()` includes numeric types and date/time types.
`Common.Rep` `getComponentType()` If an Array, the representation for the array values
`int` `getComponentTypeValue()` If an Array, the representation for the array values
`double` `getDoubleValue()` big numbers
`boolean` `getImplicitlyNull()` Differentiate between explicitly null (user-set) and implicitly null
`boolean` `getNull()` a null object
`long` `getNumberValue()` var-len encoding lets us shove anything from byte to long
`String` `getStringValue()` char/varchar
`com.google.protobuf.ByteString` `getStringValueBytes()` char/varchar
`Common.Rep` `getType()` The actual type that was serialized in the general attribute below
`int` `getTypeValue()` The actual type that was serialized in the general attribute below

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getTypeValue

    int getTypeValue()

     The actual type that was serialized in the general attribute below

`optional .Rep type = 1;`

#### getType

    Common.Rep getType()

     The actual type that was serialized in the general attribute below

`optional .Rep type = 1;`

#### getBoolValue

    boolean getBoolValue()

     boolean

`optional bool bool_value = 2;`

#### getStringValue

    String getStringValue()

     char/varchar

`optional string string_value = 3;`

#### getStringValueBytes

    com.google.protobuf.ByteString getStringValueBytes()

     char/varchar

`optional string string_value = 3;`

#### getNumberValue

    long getNumberValue()

     var-len encoding lets us shove anything from byte to long

`optional sint64 number_value = 4;`

#### getBytesValue

    com.google.protobuf.ByteString getBytesValue()

     includes numeric types and date/time types.

`optional bytes bytes_value = 5;`

#### getDoubleValue

    double getDoubleValue()

     big numbers

`optional double double_value = 6;`

#### getNull

    boolean getNull()

     a null object

`optional bool null = 7;`

#### getArrayValueList

    List<Common.TypedValue> getArrayValueList()

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValue

    Common.TypedValue getArrayValue(int index)

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueCount

    int getArrayValueCount()

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueOrBuilderList

    List<? extends Common.TypedValueOrBuilder> getArrayValueOrBuilderList()

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueOrBuilder

    Common.TypedValueOrBuilder getArrayValueOrBuilder(int index)

     The Array

`repeated .TypedValue array_value = 8;`

#### getComponentTypeValue

    int getComponentTypeValue()

     If an Array, the representation for the array values

`optional .Rep component_type = 9;`

#### getComponentType

    Common.Rep getComponentType()

     If an Array, the representation for the array values

`optional .Rep component_type = 9;`

#### getImplicitlyNull

    boolean getImplicitlyNull()

     Differentiate between explicitly null (user-set) and implicitly null

`optional bool implicitly_null = 10;`